(function ($) {

Drupal.behaviors.incubator = {
  attach: function (context, settings) {
    if (Drupal.settings.incubatorTaxonomyNoLinkTid) {
      $(".incubator-taxonomy-nolink-" + Drupal.settings.incubatorTaxonomyNoLinkTid + " a", context).each(function() {
        var $t = jQuery(this);
        $t.after($t.text());
        $t.remove();
      });
    }
    if (Drupal.settings.incubatorMobileMenu) {
      $('#mobile-menu-button').sidr({
        name: 'incubator-mobile-sidr-main',
        source: '#block-search-form div.content, nav.navigation, #block-system-user-menu div.content',
        side: 'right'
      });
    }
  }
};

}(jQuery));